flutter_update_platform_interface library